<?php
function ReadHtml(){
	if(!is_dir(root_path.'/data/'.WAPID)){
		mkdir(root_path.'/data/'.WAPID);
	}
	$filename = root_path.'/data/'.WAPID.'/'.MD5($_SERVER["PHP_SELF"].'_read_'.$_GET['cid'].'_'.$_GET['id'].'_'.SID).'.html';
	//检测是否存在缓存文件 并且检测缓存文件是否过期
	if(is_file($filename) && time() - filemtime($filename) < ReadHtmlTime){
	//存在  停止程序输出缓存文件
		$html = file_get_contents($filename);
		die($html);
	}else{
		//不存在  继续程序  并且生成缓存文件
		if($_GET['isdata'] == 'yes'){
		}else{
		$content = file_get_contents('http://'.HTTP_HOST.$_SERVER["PHP_SELF"].'?'.$_SERVER['QUERY_STRING'].'&sid='.SID.'&isdata=yes');
		file_put_contents($filename,$content);
		}
	}
}

?>